Subject: Re: [PATCH v2 07/10] PCI: layerscape: Modify the MSIX to the doorbell way

From: Kishon Vijay Abraham I <[email-masked]>
Date: Thu, 29 Aug 2019 10:43:18 +0530

Gustavo,

On 27/08/19 6:55 PM, Andrew Murray wrote:
> On Sat, Aug 24, 2019 at 12:08:40AM +0000, Xiaowei Bao wrote:
>>
>>
>>> -----Original Message-----
>>> From: Andrew Murray <[email-masked]>
>>> Sent: 2019年8月23日 21:58
>>> To: Xiaowei Bao <[email-masked]>
>>> Cc: [email-masked]; [email-masked]; [email-masked];
>>> [email-masked]; Leo Li <[email-masked]>; [email-masked];
>>> [email-masked]; [email-masked]; [email-masked]; M.h.
>>> Lian <[email-masked]>; Mingkai Hu <[email-masked]>; Roy
>>> Zang <[email-masked]>; [email-masked];
>>> [email-masked]; [email-masked];
>>> [email-masked]; [email-masked];
>>> [email-masked]; [email-masked]
>>> Subject: Re: [PATCH v2 07/10] PCI: layerscape: Modify the MSIX to the
>>> doorbell way
>>>
>>> On Thu, Aug 22, 2019 at 07:22:39PM +0800, Xiaowei Bao wrote:
>>>> The layerscape platform use the doorbell way to trigger MSIX interrupt
>>>> in EP mode.
>>>>
>>>
>>> I have no problems with this patch, however...
>>>
>>> Are you able to add to this message a reason for why you are making this
>>> change? Did dw_pcie_ep_raise_msix_irq not work when func_no != 0? Or did
>>> it work yet dw_pcie_ep_raise_msix_irq_doorbell is more efficient?
>>
>> The fact is that, this driver is verified in ls1046a platform of NXP before, and ls1046a don't
>> support MSIX feature, so I set the msix_capable of pci_epc_features struct is false,
>> but in other platform, e.g. ls1088a, it support the MSIX feature, I verified the MSIX
>> feature in ls1088a, it is not OK, so I changed to another way. Thanks.
> 
> Right, so the existing pci-layerscape-ep.c driver never supported MSIX yet it
> erroneously had a switch case statement to call dw_pcie_ep_raise_msix_irq which
> would never get used.
> 
> Now that we're adding a platform with MSIX support the existing
> dw_pcie_ep_raise_msix_irq doesn't work (for this platform) so we are adding a
> different method.

Gustavo, can you confirm dw_pcie_ep_raise_msix_irq() works for designware as it
didn't work for both me and Xiaowei?

Thanks
Kishon

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel